package domain


type AlibabaWdkSupplierRefundGetOrderSyncRefundListResult struct {
    /*
        orders     */
    Orders  *[]AlibabaWdkSupplierRefundGetOrderSyncRefundDto `json:"orders,omitempty" `

    /*
        returnCode     */
    ReturnCode  *string `json:"return_code,omitempty" `

    /*
        returnMsg     */
    ReturnMsg  *string `json:"return_msg,omitempty" `

    /*
        查询总数     */
    TotalNumber  *int64 `json:"total_number,omitempty" `

    /*
        success     */
    Success  *bool `json:"success,omitempty" `

}

func (s *AlibabaWdkSupplierRefundGetOrderSyncRefundListResult) SetOrders(v []AlibabaWdkSupplierRefundGetOrderSyncRefundDto) *AlibabaWdkSupplierRefundGetOrderSyncRefundListResult {
    s.Orders = &v
    return s
}
func (s *AlibabaWdkSupplierRefundGetOrderSyncRefundListResult) SetReturnCode(v string) *AlibabaWdkSupplierRefundGetOrderSyncRefundListResult {
    s.ReturnCode = &v
    return s
}
func (s *AlibabaWdkSupplierRefundGetOrderSyncRefundListResult) SetReturnMsg(v string) *AlibabaWdkSupplierRefundGetOrderSyncRefundListResult {
    s.ReturnMsg = &v
    return s
}
func (s *AlibabaWdkSupplierRefundGetOrderSyncRefundListResult) SetTotalNumber(v int64) *AlibabaWdkSupplierRefundGetOrderSyncRefundListResult {
    s.TotalNumber = &v
    return s
}
func (s *AlibabaWdkSupplierRefundGetOrderSyncRefundListResult) SetSuccess(v bool) *AlibabaWdkSupplierRefundGetOrderSyncRefundListResult {
    s.Success = &v
    return s
}
